Skip to main content
PUT
/
networks
/
employees
/
{employeeId}
Update Employee
curl --request PUT \
  --url https://api.eflow.team/v1/networks/employees/{employeeId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "first_name": "Sarah",
  "last_name": "Johnson",
  "email": "sarah@network.com",
  "title": "Senior Account Manager",
  "status": "active",
  "roles": []
}
'
{
  "employee_id": 123,
  "network_id": 123,
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "title": "<string>",
  "status": "active",
  "roles": [
    123
  ],
  "time_created": 123,
  "time_saved": 123
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

employeeId
integer
required

The unique employee ID to update.

Body

application/json
first_name
string
required

Employee's first name.

last_name
string
required

Employee's last name.

email
string
required

Employee's email address.

title
string

Employee's job title.

status
enum<string>

Employee account status.

Available options:
active,
inactive
roles
integer[]

Array of role IDs assigned to this employee.

Response

OK

employee_id
integer

Unique employee ID.

network_id
integer

Network ID this employee belongs to.

first_name
string

Employee's first name.

last_name
string

Employee's last name.

email
string

Employee's email address.

title
string

Employee's job title.

status
enum<string>

Employee account status.

Available options:
active,
inactive
roles
integer[]

Array of role IDs assigned to this employee.

time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.